Bug 106573 - [PATCH] textproc/aspell: strange version numbers for aspell dictionaries
Summary: [PATCH] textproc/aspell: strange version numbers for aspell dictionaries
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-10 21:00 UTC by mwisnicki+freebsd
Modified: 2007-02-14 23:20 UTC (History)
1 user (show)

See Also:


Attachments
aspell-0.60.4_4.patch (610 bytes, patch)
2006-12-10 21:00 UTC, mwisnicki+freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mwisnicki+freebsd 2006-12-10 21:00:14 UTC
Since version 0.60.4_4 of textproc/aspell, dictionary ports have weird version
numbers, eg:
 pl-aspell-.p.0.51.0,1   <-- this is especially bad because it starts with dot
 iw-aspell-6.h.0.9.0

This is because default PORTVERSION-from-DISTVERSION regexp is not suited for
version numbers used by aspell dicts.

Attached patch defines custom regexp that removes country code from version
number as well as leading version number of aspell(?). With it applied I get
following PKGNAMEs:
 pl-aspell-0.51.0,1
 iw-aspell-0.9.0

Please note that most of the dictionary ports will need epoch bump.

Port maintainer (thierry@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2006-12-10 21:01:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry

Over to maintainer
Comment 2 Thierry Thomas freebsd_committer 2006-12-28 10:20:27 UTC
State Changed
From-To: open->feedback


Hello, 

1) With the submitted patch, textproc/lt-aspell has a problem: 

FATAL: Makefile: PORTVERSION looks illegal. You should modify "1.1+cvs20060103.0". 

I propose the hereunder patch. 

2) Waiting for textproc/fa-aspell & vietnamese/aspell maintainers's 
approval. 

--- aspell-normalize-ver.diff begins here --- 
diff -urN textproc/aspell.orig/Makefile.inc textproc/aspell/Makefile.inc 
--- textproc/aspell.orig/Makefile.inc	Sat Jul 15 16:28:41 2006 
+++ textproc/aspell/Makefile.inc	Wed Dec 27 22:55:02 2006 
@@ -4,6 +4,7 @@ 
MASTER_SITES?=	${MASTER_SITE_GNU} 
MASTER_SITE_SUBDIR?=	aspell/dict/${DICT} 
DISTNAME?=	aspell${DISTVERSION} 
+PORTVERSION?=	${DISTVERSION:L:C/cvs/0_/:C/[0-9]?-?[a-z]+-//g:C/([0-9])([a-z])/1.2/g:C/:(.)/1/g:C/[^a-z0-9+]+/./g} 

.if ${PORTNAME} == "en-aspell" || defined(WITHOUT_DICTEN) 
LIB_DEPENDS=	aspell:${PORTSDIR}/textproc/aspell-without-dicten 
diff -urN hebrew/aspell.orig/Makefile hebrew/aspell/Makefile 
--- hebrew/aspell.orig/Makefile	Sat Jul 15 16:28:27 2006 
+++ hebrew/aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	aspell 
DISTVERSION=	6-he-0.9-0 
+PORTEPOCH=	1 
CATEGORIES=	hebrew textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN hungarian/aspell.orig/Makefile hungarian/aspell/Makefile 
--- hungarian/aspell.orig/Makefile	Sat Jul 15 16:28:27 2006 
+++ hungarian/aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	aspell 
DISTVERSION=	6-hu-0.99.4.2-0 
+PORTEPOCH=	1 
CATEGORIES=	hungarian textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN russian/aspell.orig/Makefile russian/aspell/Makefile 
--- russian/aspell.orig/Makefile	Sat Jul 15 16:28:28 2006 
+++ russian/aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	aspell 
DISTVERSION=	6-ru-0.99f7-1 
+PORTEPOCH=	1 
CATEGORIES=	russian textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/am-aspell.orig/Makefile textproc/am-aspell/Makefile 
--- textproc/am-aspell.orig/Makefile	Sat Jul 15 16:28:28 2006 
+++ textproc/am-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-am-0.03-1 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/az-aspell.orig/Makefile textproc/az-aspell/Makefile 
--- textproc/az-aspell.orig/Makefile	Sat Jul 15 16:28:28 2006 
+++ textproc/az-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-az-0.02-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/be-aspell.orig/Makefile textproc/be-aspell/Makefile 
--- textproc/be-aspell.orig/Makefile	Sat Jul 15 16:28:29 2006 
+++ textproc/be-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	5-be-0.01 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/bg-aspell.orig/Makefile textproc/bg-aspell/Makefile 
--- textproc/bg-aspell.orig/Makefile	Sat Jul 15 16:28:29 2006 
+++ textproc/bg-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	5-bg-4.0-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/bn-aspell.orig/Makefile textproc/bn-aspell/Makefile 
--- textproc/bn-aspell.orig/Makefile	Sat Jul 15 16:28:29 2006 
+++ textproc/bn-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-bn-0.01.1-1 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/csb-aspell.orig/Makefile textproc/csb-aspell/Makefile 
--- textproc/csb-aspell.orig/Makefile	Sat Jul 15 16:28:30 2006 
+++ textproc/csb-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-csb-0.02-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/da-aspell.orig/Makefile textproc/da-aspell/Makefile 
--- textproc/da-aspell.orig/Makefile	Sat Jul 15 16:28:30 2006 
+++ textproc/da-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	5-da-1.4.42-1 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/et-aspell.orig/Makefile textproc/et-aspell/Makefile 
--- textproc/et-aspell.orig/Makefile	Sat Jul 15 16:28:31 2006 
+++ textproc/et-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-et-0.1.21-1 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/fa-aspell.orig/Makefile textproc/fa-aspell/Makefile 
--- textproc/fa-aspell.orig/Makefile	Wed Nov  8 10:28:29 2006 
+++ textproc/fa-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-fa-0.10-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	farrokhi@FreeBSD.org 
diff -urN textproc/fi-aspell.orig/Makefile textproc/fi-aspell/Makefile 
--- textproc/fi-aspell.orig/Makefile	Sat Jul 15 16:28:31 2006 
+++ textproc/fi-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-fi-0.7-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/fo-aspell.orig/Makefile textproc/fo-aspell/Makefile 
--- textproc/fo-aspell.orig/Makefile	Sat Jul 15 16:28:31 2006 
+++ textproc/fo-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	5-fo-0.2.16-1 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/ga-aspell.orig/Makefile textproc/ga-aspell/Makefile 
--- textproc/ga-aspell.orig/Makefile	Sat Jul 15 16:28:32 2006 
+++ textproc/ga-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	5-ga-3.6-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/gd-aspell.orig/Makefile textproc/gd-aspell/Makefile 
--- textproc/gd-aspell.orig/Makefile	Sat Jul 15 16:28:32 2006 
+++ textproc/gd-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	5-gd-0.1.1-1 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/gu-aspell.orig/Makefile textproc/gu-aspell/Makefile 
--- textproc/gu-aspell.orig/Makefile	Sat Jul 15 16:28:32 2006 
+++ textproc/gu-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-gu-0.02-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	thierry@FreeBSD.org 
diff -urN textproc/hi-aspell.orig/Makefile textproc/hi-aspell/Makefile 
--- textproc/hi-aspell.orig/Makefile	Sat Jul 15 16:28:33 2006 
+++ textproc/hi-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-hi-0.01-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/hil-aspell.orig/Makefile textproc/hil-aspell/Makefile 
--- textproc/hil-aspell.orig/Makefile	Sat Jul 15 16:28:33 2006 
+++ textproc/hil-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	5-hil-0.11-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/hsb-aspell.orig/Makefile textproc/hsb-aspell/Makefile 
--- textproc/hsb-aspell.orig/Makefile	Sat Jul 15 16:28:33 2006 
+++ textproc/hsb-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-hsb-0.01-1 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/id-aspell.orig/Makefile textproc/id-aspell/Makefile 
--- textproc/id-aspell.orig/Makefile	Sat Jul 15 16:28:34 2006 
+++ textproc/id-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	5-id-1.2-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/it-aspell.orig/Makefile textproc/it-aspell/Makefile 
--- textproc/it-aspell.orig/Makefile	Sat Jul 15 16:28:34 2006 
+++ textproc/it-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-it-2.2_20050523-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/lt-aspell.orig/Makefile textproc/lt-aspell/Makefile 
--- textproc/lt-aspell.orig/Makefile	Sat Jul 15 16:28:34 2006 
+++ textproc/lt-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-lt-1.1+cvs20060103-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/lv-aspell.orig/Makefile textproc/lv-aspell/Makefile 
--- textproc/lv-aspell.orig/Makefile	Sat Jul 15 16:28:35 2006 
+++ textproc/lv-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-lv-0.5.5-1 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/mn-aspell.orig/Makefile textproc/mn-aspell/Makefile 
--- textproc/mn-aspell.orig/Makefile	Sat Jul 15 16:28:35 2006 
+++ textproc/mn-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-mn-0.01-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/mr-aspell.orig/Makefile textproc/mr-aspell/Makefile 
--- textproc/mr-aspell.orig/Makefile	Sat Jul 15 16:28:35 2006 
+++ textproc/mr-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-mr-0.10-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/nds-aspell.orig/Makefile textproc/nds-aspell/Makefile 
--- textproc/nds-aspell.orig/Makefile	Sat Jul 15 16:28:36 2006 
+++ textproc/nds-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-nds-0.01-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/ny-aspell.orig/Makefile textproc/ny-aspell/Makefile 
--- textproc/ny-aspell.orig/Makefile	Sat Jul 15 16:28:37 2006 
+++ textproc/ny-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	5-ny-0.01-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/or-aspell.orig/Makefile textproc/or-aspell/Makefile 
--- textproc/or-aspell.orig/Makefile	Sat Jul 15 16:28:37 2006 
+++ textproc/or-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-or-0.03-1 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/pa-aspell.orig/Makefile textproc/pa-aspell/Makefile 
--- textproc/pa-aspell.orig/Makefile	Sat Jul 15 16:28:37 2006 
+++ textproc/pa-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-pa-0.01-1 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/qu-aspell.orig/Makefile textproc/qu-aspell/Makefile 
--- textproc/qu-aspell.orig/Makefile	Sat Jul 15 16:28:37 2006 
+++ textproc/qu-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-qu-0.02-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/sc-aspell.orig/Makefile textproc/sc-aspell/Makefile 
--- textproc/sc-aspell.orig/Makefile	Sat Jul 15 16:28:38 2006 
+++ textproc/sc-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	5-sc-1.0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/sr-aspell.orig/Makefile textproc/sr-aspell/Makefile 
--- textproc/sr-aspell.orig/Makefile	Sat Jul 15 16:28:38 2006 
+++ textproc/sr-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-sr-0.02 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	thierry@FreeBSD.org 
diff -urN textproc/te-aspell.orig/Makefile textproc/te-aspell/Makefile 
--- textproc/te-aspell.orig/Makefile	Sat Jul 15 16:28:39 2006 
+++ textproc/te-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-te-0.01-2 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	thierry@FreeBSD.org 
diff -urN textproc/tet-aspell.orig/Makefile textproc/tet-aspell/Makefile 
--- textproc/tet-aspell.orig/Makefile	Sat Jul 15 16:28:39 2006 
+++ textproc/tet-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	5-tet-0.1.1 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/tl-aspell.orig/Makefile textproc/tl-aspell/Makefile 
--- textproc/tl-aspell.orig/Makefile	Sat Jul 15 16:28:40 2006 
+++ textproc/tl-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	5-tl-0.02-1 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/tn-aspell.orig/Makefile textproc/tn-aspell/Makefile 
--- textproc/tn-aspell.orig/Makefile	Sat Jul 15 16:28:40 2006 
+++ textproc/tn-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	5-tn-1.0.1-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/uz-aspell.orig/Makefile textproc/uz-aspell/Makefile 
--- textproc/uz-aspell.orig/Makefile	Sat Jul 15 16:28:40 2006 
+++ textproc/uz-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-uz-0.5-0 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN textproc/yi-aspell.orig/Makefile textproc/yi-aspell/Makefile 
--- textproc/yi-aspell.orig/Makefile	Sat Jul 15 16:28:41 2006 
+++ textproc/yi-aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	${DICT}-aspell 
DISTVERSION=	6-yi-0.01.1-1 
+PORTEPOCH=	1 
CATEGORIES=	textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN ukrainian/aspell.orig/Makefile ukrainian/aspell/Makefile 
--- ukrainian/aspell.orig/Makefile	Sat Jul 15 16:28:41 2006 
+++ ukrainian/aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	aspell 
DISTVERSION=	6-uk-1.1-0 
+PORTEPOCH=	1 
CATEGORIES=	ukrainian textproc 

MAINTAINER=	ports@FreeBSD.org 
diff -urN vietnamese/aspell.orig/Makefile vietnamese/aspell/Makefile 
--- vietnamese/aspell.orig/Makefile	Sat Jul 15 16:28:41 2006 
+++ vietnamese/aspell/Makefile	Wed Dec 27 23:57:04 2006 
@@ -7,6 +7,7 @@ 

PORTNAME=	aspell 
DISTVERSION=	6-vi-0.01.1-1 
+PORTEPOCH=	1 
CATEGORIES=	vietnamese textproc 

MAINTAINER=	obrien@FreeBSD.org 
--- aspell-normalize-ver.diff ends here --- 


http://www.freebsd.org/cgi/query-pr.cgi?pr=106573 

Adding to audit trail from misfiled PR ports/107399:

Babak has approved his part in misfiled PR ports/107399.

Adding to audit trail from misfiled PR ports/107448:

obrien has approved his part in misfiled PR ports/107448.
Comment 3 dfilter service freebsd_committer 2007-01-14 15:33:07 UTC
thierry     2007-01-14 15:32:59 UTC

  FreeBSD ports repository

  Modified files:
    hebrew/aspell        Makefile 
    hungarian/aspell     Makefile 
    russian/aspell       Makefile 
    textproc/am-aspell   Makefile 
    textproc/az-aspell   Makefile 
    textproc/be-aspell   Makefile 
    textproc/bg-aspell   Makefile 
    textproc/bn-aspell   Makefile 
    textproc/csb-aspell  Makefile 
    textproc/da-aspell   Makefile 
    textproc/et-aspell   Makefile 
    textproc/fa-aspell   Makefile 
    textproc/fi-aspell   Makefile 
    textproc/fo-aspell   Makefile 
    textproc/ga-aspell   Makefile 
    textproc/gd-aspell   Makefile 
    textproc/gu-aspell   Makefile 
    textproc/hi-aspell   Makefile 
    textproc/hil-aspell  Makefile 
    textproc/hsb-aspell  Makefile 
    textproc/id-aspell   Makefile 
    textproc/it-aspell   Makefile 
    textproc/lt-aspell   Makefile 
    textproc/lv-aspell   Makefile 
    textproc/mn-aspell   Makefile 
    textproc/mr-aspell   Makefile 
    textproc/nds-aspell  Makefile 
    textproc/ny-aspell   Makefile 
    textproc/or-aspell   Makefile 
    textproc/pa-aspell   Makefile 
    textproc/qu-aspell   Makefile 
    textproc/sc-aspell   Makefile 
    textproc/sr-aspell   Makefile 
    textproc/te-aspell   Makefile 
    textproc/tet-aspell  Makefile 
    textproc/tl-aspell   Makefile 
    textproc/tn-aspell   Makefile 
    textproc/uz-aspell   Makefile 
    textproc/yi-aspell   Makefile 
    ukrainian/aspell     Makefile 
    vietnamese/aspell    Makefile 
  Log:
  Normalize Aspell dictionaries PKGNAMEs.
  
  PR:             ports/106573, ports/107399, ports/107448
  Submitted by:   Marcin Wisnicki <mwisnicki+freebsd (at) gmail.com>
  Approved by:    farrokhi, obrien
  
  Revision  Changes    Path
  1.3       +1 -0      ports/hebrew/aspell/Makefile
  1.3       +1 -0      ports/hungarian/aspell/Makefile
  1.6       +1 -0      ports/russian/aspell/Makefile
  1.3       +1 -0      ports/textproc/am-aspell/Makefile
  1.3       +1 -0      ports/textproc/az-aspell/Makefile
  1.3       +1 -0      ports/textproc/be-aspell/Makefile
  1.3       +1 -0      ports/textproc/bg-aspell/Makefile
  1.3       +1 -0      ports/textproc/bn-aspell/Makefile
  1.3       +1 -0      ports/textproc/csb-aspell/Makefile
  1.6       +1 -0      ports/textproc/da-aspell/Makefile
  1.3       +1 -0      ports/textproc/et-aspell/Makefile
  1.6       +1 -0      ports/textproc/fa-aspell/Makefile
  1.3       +1 -0      ports/textproc/fi-aspell/Makefile
  1.6       +1 -0      ports/textproc/fo-aspell/Makefile
  1.3       +1 -0      ports/textproc/ga-aspell/Makefile
  1.3       +1 -0      ports/textproc/gd-aspell/Makefile
  1.3       +1 -0      ports/textproc/gu-aspell/Makefile
  1.3       +1 -0      ports/textproc/hi-aspell/Makefile
  1.3       +1 -0      ports/textproc/hil-aspell/Makefile
  1.3       +1 -0      ports/textproc/hsb-aspell/Makefile
  1.3       +1 -0      ports/textproc/id-aspell/Makefile
  1.6       +1 -0      ports/textproc/it-aspell/Makefile
  1.3       +1 -0      ports/textproc/lt-aspell/Makefile
  1.3       +1 -0      ports/textproc/lv-aspell/Makefile
  1.3       +1 -0      ports/textproc/mn-aspell/Makefile
  1.3       +1 -0      ports/textproc/mr-aspell/Makefile
  1.3       +1 -0      ports/textproc/nds-aspell/Makefile
  1.3       +1 -0      ports/textproc/ny-aspell/Makefile
  1.3       +1 -0      ports/textproc/or-aspell/Makefile
  1.3       +1 -0      ports/textproc/pa-aspell/Makefile
  1.3       +1 -0      ports/textproc/qu-aspell/Makefile
  1.3       +1 -0      ports/textproc/sc-aspell/Makefile
  1.3       +1 -0      ports/textproc/sr-aspell/Makefile
  1.3       +1 -0      ports/textproc/te-aspell/Makefile
  1.3       +1 -0      ports/textproc/tet-aspell/Makefile
  1.3       +1 -0      ports/textproc/tl-aspell/Makefile
  1.3       +1 -0      ports/textproc/tn-aspell/Makefile
  1.3       +1 -0      ports/textproc/uz-aspell/Makefile
  1.3       +1 -0      ports/textproc/yi-aspell/Makefile
  1.4       +1 -0      ports/ukrainian/aspell/Makefile
  1.4       +1 -0      ports/vietnamese/aspell/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Thierry Thomas freebsd_committer 2007-01-14 15:33:29 UTC
State Changed
From-To: feedback->closed


Committed, thanks!
Comment 5 dfilter service freebsd_committer 2007-02-14 23:12:01 UTC
thierry     2007-02-14 23:11:55 UTC

  FreeBSD ports repository

  Modified files:
    textproc/aspell      Makefile.inc 
    arabic/aspell        Makefile 
    hebrew/aspell        Makefile 
    hungarian/aspell     Makefile 
    russian/aspell       Makefile 
    textproc/am-aspell   Makefile 
    textproc/az-aspell   Makefile 
    textproc/be-aspell   Makefile 
    textproc/bg-aspell   Makefile 
    textproc/bn-aspell   Makefile 
    textproc/csb-aspell  Makefile 
    textproc/da-aspell   Makefile 
    textproc/et-aspell   Makefile 
    textproc/fa-aspell   Makefile 
    textproc/fi-aspell   Makefile 
    textproc/fo-aspell   Makefile 
    textproc/ga-aspell   Makefile 
    textproc/gd-aspell   Makefile 
    textproc/gu-aspell   Makefile 
    textproc/hi-aspell   Makefile 
    textproc/hil-aspell  Makefile 
    textproc/hsb-aspell  Makefile 
    textproc/hy-aspell   Makefile 
    textproc/id-aspell   Makefile 
    textproc/it-aspell   Makefile 
    textproc/ku-aspell   Makefile 
    textproc/lt-aspell   Makefile 
    textproc/lv-aspell   Makefile 
    textproc/mn-aspell   Makefile 
    textproc/mr-aspell   Makefile 
    textproc/nds-aspell  Makefile 
    textproc/ny-aspell   Makefile 
    textproc/or-aspell   Makefile 
    textproc/pa-aspell   Makefile 
    textproc/qu-aspell   Makefile 
    textproc/sc-aspell   Makefile 
    textproc/sr-aspell   Makefile 
    textproc/te-aspell   Makefile 
    textproc/tet-aspell  Makefile 
    textproc/tl-aspell   Makefile 
    textproc/tn-aspell   Makefile 
    textproc/uz-aspell   Makefile 
    textproc/yi-aspell   Makefile 
    ukrainian/aspell     Makefile 
    vietnamese/aspell    Makefile 
  Log:
  Really normalize Aspell dictionaries ports PKGVERSION...
  textproc/aspell/Makefile.inc had been forgotten in the previous commit.
  
  PR:             ports/106573
  Submitted by:   Marcin Wisnicki <mwisnicki+freebsd (at) gmail.com>
  Reported by:    Michel TALON <talon (at) lpthe.jussieu.fr>
  Pointyhat to:   /me
  
  Revision  Changes    Path
  1.2       +1 -0      ports/arabic/aspell/Makefile
  1.5       +1 -1      ports/hebrew/aspell/Makefile
  1.4       +1 -1      ports/hungarian/aspell/Makefile
  1.7       +1 -1      ports/russian/aspell/Makefile
  1.4       +1 -1      ports/textproc/am-aspell/Makefile
  1.2       +2 -1      ports/textproc/aspell/Makefile.inc
  1.4       +1 -1      ports/textproc/az-aspell/Makefile
  1.4       +1 -1      ports/textproc/be-aspell/Makefile
  1.4       +1 -1      ports/textproc/bg-aspell/Makefile
  1.4       +1 -1      ports/textproc/bn-aspell/Makefile
  1.4       +1 -1      ports/textproc/csb-aspell/Makefile
  1.7       +1 -1      ports/textproc/da-aspell/Makefile
  1.4       +1 -1      ports/textproc/et-aspell/Makefile
  1.8       +1 -1      ports/textproc/fa-aspell/Makefile
  1.4       +1 -1      ports/textproc/fi-aspell/Makefile
  1.7       +1 -1      ports/textproc/fo-aspell/Makefile
  1.5       +1 -1      ports/textproc/ga-aspell/Makefile
  1.4       +1 -1      ports/textproc/gd-aspell/Makefile
  1.5       +1 -1      ports/textproc/gu-aspell/Makefile
  1.4       +1 -1      ports/textproc/hi-aspell/Makefile
  1.4       +1 -1      ports/textproc/hil-aspell/Makefile
  1.4       +1 -1      ports/textproc/hsb-aspell/Makefile
  1.2       +1 -0      ports/textproc/hy-aspell/Makefile
  1.4       +1 -1      ports/textproc/id-aspell/Makefile
  1.7       +1 -1      ports/textproc/it-aspell/Makefile
  1.2       +1 -0      ports/textproc/ku-aspell/Makefile
  1.4       +1 -1      ports/textproc/lt-aspell/Makefile
  1.4       +1 -1      ports/textproc/lv-aspell/Makefile
  1.4       +1 -1      ports/textproc/mn-aspell/Makefile
  1.4       +1 -1      ports/textproc/mr-aspell/Makefile
  1.4       +1 -1      ports/textproc/nds-aspell/Makefile
  1.4       +1 -1      ports/textproc/ny-aspell/Makefile
  1.4       +1 -1      ports/textproc/or-aspell/Makefile
  1.4       +1 -1      ports/textproc/pa-aspell/Makefile
  1.4       +1 -1      ports/textproc/qu-aspell/Makefile
  1.4       +1 -1      ports/textproc/sc-aspell/Makefile
  1.5       +1 -1      ports/textproc/sr-aspell/Makefile
  1.6       +1 -1      ports/textproc/te-aspell/Makefile
  1.4       +1 -1      ports/textproc/tet-aspell/Makefile
  1.4       +1 -1      ports/textproc/tl-aspell/Makefile
  1.4       +1 -1      ports/textproc/tn-aspell/Makefile
  1.5       +1 -1      ports/textproc/uz-aspell/Makefile
  1.4       +1 -1      ports/textproc/yi-aspell/Makefile
  1.6       +1 -1      ports/ukrainian/aspell/Makefile
  1.5       +1 -1      ports/vietnamese/aspell/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"